Browse Source

cleanup start script's

micha 2 years ago
parent
commit
cd9bcdb8df
5 changed files with 73 additions and 25 deletions
  1. 16 0
      init/10-ASP.sh
  2. 22 0
      init/20-CONSOLE.sh
  3. 16 0
      init/50-TK-GUI.sh
  4. 11 0
      input/touchscreen.sh
  5. 8 25
      start.sh

+ 16 - 0
init/10-ASP.sh

@@ -0,0 +1,16 @@
+#!/usr/bin/bash
+set -e
+
+path="/opt/LibreLight"
+SES="ASP"
+CMD="sh $path/ASP/start_ASP.sh "
+
+echo "- STARTING $SES"
+
+cd "$path"
+screen -XS "$SES" quit | echo ""
+CMD="screen -d -m -S $SES $CMD"
+#echo "$CMD"
+$CMD
+#sleep 1
+#screen -ls

+ 22 - 0
init/20-CONSOLE.sh

@@ -0,0 +1,22 @@
+#!/usr/bin/bash
+set -e
+
+path="/opt/LibreLight"
+SES="CONSOLE.py"
+CMD="-- bash -c 'python3 $path/Xdesk/console.py'"
+
+echo "- STARTING $SES"
+
+cd "$path/Xdesk/"
+#echo $(pwd)
+screen -XS "$SES" quit | echo ""
+CMD2="screen -d -m -S $SES $CMD"
+#screen -d -m -S "$SES" -- bash -c 'python3 $path/Xdesk/console.py'
+#screen -S "$SES" -- '/usr/sbin/python3 /opt/LibreLight/Xdesk/console.py'
+screen -d -m -S "$SES" --  python3 /opt/LibreLight/Xdesk/console.py
+#'/usr/sbin/python3 /opt/LibreLight/Xdesk/console.py'
+
+#echo "$CMD2"
+$CMD2
+#sleep 2
+#screen -ls

+ 16 - 0
init/50-TK-GUI.sh

@@ -0,0 +1,16 @@
+#!/usr/bin/bash
+set -e
+
+path="/opt/LibreLight"
+SES="EDITOR.py"
+CMD="python3 $path/Xdesk/LibreLightDesk.py "
+
+echo "- STARTING $SES"
+
+cd "$path"
+screen -XS "$SES" quit | echo ""
+CMD="screen -d -m -S $SES $CMD"
+#echo "$CMD"
+$CMD
+#sleep 1
+#screen -ls

+ 11 - 0
input/touchscreen.sh

@@ -0,0 +1,11 @@
+#!/usr/bin/bash
+#set -a
+SESSION="touch.py"
+CMD="/usr/bin/python3 /opt/LibreLight/Xdesk/input/touchscreen.py"
+#echo "cmd: $CMD"
+#echo "ses: $SESSION"
+#echo
+screen -X -S "$SESSION" quit
+screen -d -m -S "$SESSION" sh -c "$CMD"
+#sleep 1
+#screen -ls

+ 8 - 25
start.sh

@@ -1,35 +1,18 @@
+#!/usr/bin/bash
+
 echo "\e[42mBOOTING LIBRELIGHT CONSOLE\e[0m"
 
-#killall ibus-daemon # ibus slowsdown tkinter/Editor
 killall ibus-daemon # ibus slowsdown tkinter/Editor
 
 screen -ls
-set -e
-screen -XS ASP quit | echo ""
-screen -XS console quit | echo ""
-screen -XS Editor quit | echo ""
-#killall screen | echo  ""
-#killall SCREEN | echo  ""
-path="/opt/LibreLight"
-cd "$path"
-echo "\e[42mSTARTING ASP\e[0m"
-screen -d -m -S ASP sh $path/ASP/start_ASP.sh 
-cd $path/Xdesk/
-screen -d -m -S console python3 $path/Xdesk/console.py 
-echo "\e[42mSTARTING DMX MONITOR\e[0m"
-sleep 3;
-#xterm -e 'screen -r DMX'
-xfce4-terminal -e 'screen -r DMX' --hide-menubar --zoom=-1.5 --geometry=90x35+800+520
-echo "\e[42mSTARTING GUI\e[0m"
-sleep 2
-screen -d -m -S Editor python3 $path/Xdesk/LibreLightDesk.py 
+echo ""
 
-screen -ls
+/opt/LibreLight/Xdesk/input/touchscreen.sh
 
-#sleep 3;
-#sudo /opt/netns/create 18
-#/opt/netns/exec --id=18 --cmd="xterm -e screen python3 /opt/LibreLight/ASP/monitor/oszi_grid.py" &
-#/opt/netns/exec --id=18 --cmd="xterm -e screen sh /opt/LibreLight/ASP/start.sh"
+find /opt/LibreLight/Xdesk/init/ -name "*.sh" -exec {} \;
+echo ""
+sleep 3;
+screen -ls
 
 echo "BOOT END"
 sleep 3;